/*-
 * Copyright (c) 2007
 * Tatsuya Kudoh(CDR/TK),ROYALPANDA.    All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */


package{
	import flash.display.*;
	import flash.events.*;
	import flash.geom.*;
	import flash.media.*;
	import flash.text.*;
	import flash.utils.*;
	import mx.core.*;

	public class Assets {
		static public const BM_PLAYER:int = 0;
		static public const BM_FLOOR:int = 1;
		static public const BM_BG:int = 2;

		static public const SND_BGM:int = 0;
		static public const SND_JUMP:int = 1;
		static public const SND_FALL:int = 2;
		static public const SND_DEAD:int = 3;

		[Embed(source="player.png")]	static private const bm00:Class;
		[Embed(source="floor.png")]		static private const bm01:Class;
		[Embed(source="bg.png")]		static private const bm02:Class;

		[Embed(source="bgm.mp3")]		static private const snd00:Class;
		[Embed(source="jump.mp3")]		static private const snd01:Class;
		[Embed(source="fall.mp3")]		static private const snd02:Class;
		[Embed(source="dead.mp3")]		static private const snd03:Class;

		static private const bmData:Array = [
			(new bm00 as Bitmap).bitmapData,
			(new bm01 as Bitmap).bitmapData,
			(new bm02 as Bitmap).bitmapData
		];

		static private const sndData:Array = [
			new snd00 as Sound,
			new snd01 as Sound,
			new snd02 as Sound,
			new snd03 as Sound
		];

		static public function bitmap( type:uint ):BitmapData {
			if( type >= bmData.length )
				return null;
			return bmData[type];
		}

		static public function sound( type:uint ):Sound {
			if( type >= sndData.length )
				return null;
			return sndData[type];
		}
	}
}
